
Prior to this experience: At age 6, 7 or 8, I was told in a dream that I would have an opportunity to live or die before I was 24 years old. The water skiing accident occurred 3 months and 12 days before my 24th birthday.

I saw the ski boat headed in my direction. I waved my arms and screamed. I knew I would be hit; I said the Our Father prayer as the shadow of the boat overcame me. I remember the impact forced the air from me.

Immediately I was without a body. The best way to describe the experience is that I knew who I was, however, I did not feel pain nor was I afraid. A tremendous white light surrounded me. I felt unbelievable peace, love, harmony, goodness. I knew I was floating, that I did not have a body; I sensed goodness around me then sensed a question asking if I was ready to die. I knew I had mixed feelings. Instantaneously, I saw my grave with my two little children crying standing apart from my husband, their dad. I sensed I could not leave my children; I saw the lake water parting as I was pushed to the surface of the lake.

I saw a clear blue sky and a single white bird then I felt the pain. I made my way to the boat that hit me. A nurse and a doctor were at lakeside. I later learned only a nurse was present when our boat docked; I will swear a doctor was also there; that the doctor applied a pressure bandage to my abdomen. I later learned no doctor was present. Paramedics arriving 15-20 minutes after the accident was called in applied the pressure bandage. I remember the premonition, the accident, and the experience as if each happened just yesterday though 37 years have passed. I experience a degree of premonition limited to events I need to be aware of, prepared for. May 17, 1977 changed my life, the lives of my children in ways too surreal to mention. I feel the accident was a blessing of significant degrees.
